/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"
#include "../core/request.h"
#include "../core/misc.h"



namespace TemplatesFunctions
{



void done_is_error(Info & i)
{
	i.result = request.session->done_status != WINIX_ERR_OK;
}


void done_status(Info & i)
{
	i.out << static_cast<int>( request.session->done_status );
}


void done_status_no_item(Info & i)
{
	i.result = request.session->done_status == WINIX_ERR_NO_ITEM;
}


void done_status_incorrect_dir(Info & i)
{
	i.result = request.session->done_status == WINIX_ERR_INCORRECT_DIR;
}


void done_added_item(Info & i)
{
	i.result = request.session->done == Done::added_item;
}


void done_edited_item(Info & i)
{
	i.result = request.session->done == Done::edited_item;
}


void done_deleted_item(Info & i)
{
	i.result = request.session->done == Done::deleted_item;
}


void done_privileged_item(Info & i)
{
	i.result = request.session->done == Done::privileged_item;
}


void done_loggedout(Info & i)
{
	i.result = request.session->done == Done::loggedout;	
}





void done_added_dir(Info & i)
{
	i.result = request.session->done == Done::added_dir;
}


void done_deleted_dir(Info & i)
{
	i.result = request.session->done == Done::deleted_dir;
}



void done_defaulted_dir(Info & i)
{
	i.result = request.session->done == Done::defaulted_dir;
}


void done_reloaded_templates(Info & i)
{
	i.result = request.session->done == Done::reloaded_templates;
}


} // namespace TemplatesFunctions



